-- G. McCance May 2006

CREATE OR REPLACE PACKAGE fts_admin_pack
IS

-- PUBLIC variables     
VALID_SCHEMA_VERSION CONSTANT VARCHAR(10) := '2.2.0';  
    
                   
-- PUBLIC methods

-- Change source site name on channel
PROCEDURE change_channel_source
   ( v_channel_name T_CHANNEL.CHANNEL_NAME%TYPE,
     v_channel_source T_CHANNEL.SOURCE_SITE%TYPE );
       
-- Change destination site name on channel    
PROCEDURE change_channel_dest
   ( v_channel_name T_CHANNEL.CHANNEL_NAME%TYPE,
     v_channel_dest T_CHANNEL.DEST_SITE%TYPE );

-- Rename channel and the foreign key references to it     
PROCEDURE rename_channel
   ( v_channel_name_old T_CHANNEL.CHANNEL_NAME%TYPE,
     v_channel_name_new T_CHANNEL.CHANNEL_NAME%TYPE );  
     
END fts_admin_pack;
/
